package com.davenicolette.atm;

import backend.call.wrapper.BackendTimeoutException;

public interface AccountLookup {

	public abstract double getBalance(String accountNumber);
	public abstract boolean isValid(String accountNumber);
	public abstract void debit(String accountNumber, double amount) throws Exception;
	public abstract int beginTransaction();
	public abstract void commit(int transactionId) throws Exception;
	public abstract void rollback(int transactionId) throws Exception;
}