package com.davenicolette.atm;

public interface Dispenser {

	public abstract double cashAvailable();
	public abstract void dispenseCash() throws InvalidOperationException, DeviceFaultException;
	public abstract void requestCash(double amount) throws AtmLowCashException;
	public abstract void reset();
}