package com.davenicolette.atm;

import java.util.ListResourceBundle;

public class MessageBundle extends ListResourceBundle {

	@Override
	protected Object[][] getContents() {
		return new Object[][] {
			{ 
				AtmStatus.READY_FOR_CUSTOMER.name(), 
				new String[] {
					"Welcome to Banco Fantastico",
					"",
					"Insert card to begin",
					"",
					"",
					"" 
				}
			},
			{ 
				AtmStatus.OUT_OF_SERVICE.name(), 
				new String[] {
					"Banco Fantastico",
					"",
					"Out of service",
					"",
					"We apologize for any inconvenience",
					"" 
				}
			},
			{
				AtmStatus.NEW_TRANSACTION.name(),
				new String[] {
					"Banco Fantastico",
					"",
					"Would you like to do another transaction?",
					"",
					"Yes ->",
					"No ->" 
				}
			},
			{
				AtmStatus.ATM_LOW_CASH.name(),
				new String[] {
					"Banco Fantastico",
					"",
					"We regret a system error has occurred.",
					"Your account balance has not been affected.",
					"Please try another of our friendly machines!",
					"Cancel ->" 
				}
			},
			{
				AtmStatus.CONTACT_BANK.name(),
				new String[] {
					"Banco Fantastico",
					"",
					"There is a problem with this account.",
					"",
					"Please try another of our friendly machines!",
					"Cancel ->" 
				}
			}
		};
	}

}
