=begin
---------------------------------------------------------- Class: Object
     Check first to see if we are in a Rails environment, no need to
     define these methods if we are

------------------------------------------------------------------------
     Same as above, except in Object.

------------------------------------------------------------------------
     Extensions for Object

------------------------------------------------------------------------


Includes:
---------
     InstanceExecMethods, Ramaze::ThreadAccessor(thread_accessor,
     thread_reader, thread_writer),
     Spec::Expectations::ObjectExpectations(should, should_not),
     Spec::Mocks::Methods(as_null_object, null_object?,
     should_not_receive, should_receive, stub!)


Class methods:
--------------
     find_hidden_method, method_added


Instance methods:
-----------------
     acts_like?, ancestral_trait, args_and_options, blank?, class_def,
     class_trait, duplicable?, instance_exec,
     instance_variable_defined?, meta_def, meta_eval, metaclass, pretty,
     returning, scope, to_json, to_param, to_query, trait, unloadable,
     with_options

=end
class Object
  include Kernel

  def self.yaml_tag_subclasses?
  end

  def to_yaml_style
  end

  def to_yaml(arg0, arg1, *rest)
  end

  def taguri
  end

  def taguri=(arg0)
  end

  def to_yaml_properties
  end

end
