=begin
---------------------------------------------------------- Class: String
     Enhance the String class with a XML escaped character version of
     to_s.

------------------------------------------------------------------------
     Includes Diff::LCS into String.

------------------------------------------------------------------------
     User defined methods to be added to String.

------------------------------------------------------------------------
     Extensions for String

------------------------------------------------------------------------


Includes:
---------
     Diff::LCS(diff, lcs, patch, patch!, sdiff, traverse_balanced,
     traverse_sequences, unpatch, unpatch!),
     Spec::Expectations::StringHelpers(starts_with?)


Instance methods:
-----------------
     /, arg_regexp, camel_case, escape, ext, gzub, ord, pathmap,
     pathmap_explode, pathmap_partial, pathmap_replace, snake_case,
     start_with?, step_name, ui, ui!, unindent, unindent!

=end
class String < Object
  include Enumerable
  include Comparable

  def self.yaml_tag_subclasses?
  end

  def self.yaml_new(arg0, arg1, arg2)
  end

  def split(arg0, arg1, *rest)
  end

  def taguri
  end

  def rstrip!
  end

  def to_sym
  end

  def swapcase
  end

  def chop
  end

  def empty?
  end

  def swapcase!
  end

  def to_f
  end

  def casecmp(arg0)
  end

  def rindex(arg0, arg1, *rest)
  end

  def intern
  end

  def tr(arg0, arg1)
  end

  def to_s
  end

  def taguri=(arg0)
  end

  def reverse!
  end

  def strip!
  end

  def match(arg0)
  end

  def hex
  end

  def to_yaml(arg0, arg1, *rest)
  end

  def each(arg0, arg1, *rest)
  end

  def include?(arg0)
  end

  def slice(arg0, arg1, *rest)
  end

  def next!
  end

  def *(arg0)
  end

  def downcase!
  end

  def downcase
  end

  def unpack(arg0)
  end

  def sub(arg0, arg1, *rest)
  end

  def +(arg0)
  end

  def =~(arg0)
  end

  def upto(arg0)
  end

  def concat(arg0)
  end

  def lstrip
  end

  def each_byte
  end

  def succ!
  end

  def chop!
  end

  def size
  end

  def dump
  end

  def rjust(arg0, arg1, *rest)
  end

  def squeeze(arg0, arg1, *rest)
  end

  def delete!(arg0, arg1, *rest)
  end

  def eql?(arg0)
  end

  def is_complex_yaml?
  end

  def next
  end

  def reverse
  end

  def sub!(arg0, arg1, *rest)
  end

  def insert(arg0, arg1)
  end

  def chomp(arg0, arg1, *rest)
  end

  def [](arg0, arg1, *rest)
  end

  def inspect
  end

  def tr!(arg0, arg1)
  end

  # ------------------------------------------------- String#pathmap_replace
  #      pathmap_replace(patterns, &block)
  # ------------------------------------------------------------------------
  #      Preform the pathmap replacement operations on the given path. The
  #      patterns take the form 'pat1,rep1;pat2,rep2...'.
  # 
  def replace(arg0)
  end

  def []=(arg0, arg1, *rest)
  end

  def scan(arg0)
  end

  def tr_s(arg0, arg1)
  end

  def lstrip!
  end

  def succ
  end

  def <<(arg0)
  end

  def oct
  end

  def gsub(arg0, arg1, *rest)
  end

  def capitalize!
  end

  def to_i(arg0, arg1, *rest)
  end

  def hash
  end

  def capitalize
  end

  def index(arg0, arg1, *rest)
  end

  def crypt(arg0)
  end

  def chomp!(arg0, arg1, *rest)
  end

  def rstrip
  end

  def sum(arg0, arg1, *rest)
  end

  def upcase!
  end

  def center(arg0, arg1, *rest)
  end

  def upcase
  end

  def count(arg0, arg1, *rest)
  end

  def squeeze!(arg0, arg1, *rest)
  end

  def <=>(arg0)
  end

  def is_binary_data?
  end

  def strip
  end

  def ==(arg0)
  end

  def length
  end

  def gsub!(arg0, arg1, *rest)
  end

  def each_line(arg0, arg1, *rest)
  end

  def slice!(arg0, arg1, *rest)
  end

  def ljust(arg0, arg1, *rest)
  end

  def to_str
  end

  def %(arg0)
  end

  def delete(arg0, arg1, *rest)
  end

  def tr_s!(arg0, arg1)
  end

end
