=begin
------------------------------------------------------- Class: FileUtils
     ###################################################################
     ######## This a FileUtils extension that defines several additional
     commands to be added to the FileUtils utility functions.

------------------------------------------------------------------------


Constants:
----------
     RUBY:         File.join(Config::CONFIG['bindir'],
                   Config::CONFIG['ruby_install_name']).    
                   sub(/.*\s.*/m, '"\&"')
     LN_SUPPORTED: [true]


Instance methods:
-----------------
     ruby, safe_ln, sh, split_all

=end
module FileUtils
  include FileUtils::StreamUtils_

  def self.pwd
  end

  def self.makedirs(arg0, arg1, arg2, *rest)
  end

  def self.cp(arg0, arg1, arg2, arg3, *rest)
  end

  def self.remove_entry_secure(arg0, arg1, arg2, *rest)
  end

  def self.link(arg0, arg1, arg2, arg3, *rest)
  end

  def self.rm_r(arg0, arg1, arg2, *rest)
  end

  def self.install(arg0, arg1, arg2, arg3, *rest)
  end

  def self.rmdir(arg0, arg1, arg2, *rest)
  end

  def self.copy_file(arg0, arg1, arg2, arg3, *rest)
  end

  def self.rm(arg0, arg1, arg2, *rest)
  end

  def self.cmp(arg0, arg1)
  end

  def self.chmod(arg0, arg1, arg2, arg3, *rest)
  end

  def self.options_of(arg0)
  end

  def self.getwd
  end

  def self.uptodate?(arg0, arg1, arg2, arg3, *rest)
  end

  def self.mkpath(arg0, arg1, arg2, *rest)
  end

  def self.ln_sf(arg0, arg1, arg2, arg3, *rest)
  end

  def self.compare_file(arg0, arg1)
  end

  def self.cd(arg0, arg1, arg2, *rest)
  end

  def self.safe_unlink(arg0, arg1, arg2, *rest)
  end

  def self.options
  end

  def self.mkdir(arg0, arg1, arg2, *rest)
  end

  def self.move(arg0, arg1, arg2, arg3, *rest)
  end

  def self.compare_stream(arg0, arg1)
  end

  def self.chdir(arg0, arg1, arg2, *rest)
  end

  def self.mkdir_p(arg0, arg1, arg2, *rest)
  end

  def self.ln_s(arg0, arg1, arg2, arg3, *rest)
  end

  def self.rmtree(arg0, arg1, arg2, *rest)
  end

  def self.remove_dir(arg0, arg1, arg2, *rest)
  end

  def self.commands
  end

  def self.have_option?(arg0, arg1)
  end

  def self.cp_r(arg0, arg1, arg2, arg3, *rest)
  end

  def self.copy_stream(arg0, arg1)
  end

  def self.rm_f(arg0, arg1, arg2, *rest)
  end

  def self.touch(arg0, arg1, arg2, *rest)
  end

  def self.ln(arg0, arg1, arg2, arg3, *rest)
  end

  def self.remove_entry(arg0, arg1, arg2, *rest)
  end

  def self.chown_R(arg0, arg1, arg2, arg3, arg4, *rest)
  end

  def self.symlink(arg0, arg1, arg2, arg3, *rest)
  end

  def self.copy_entry(arg0, arg1, arg2, arg3, *rest)
  end

  def self.mv(arg0, arg1, arg2, arg3, *rest)
  end

  def self.rm_rf(arg0, arg1, arg2, *rest)
  end

  def self.remove_file(arg0, arg1, arg2, *rest)
  end

  def self.chmod_R(arg0, arg1, arg2, arg3, *rest)
  end

  def self.private_module_function(arg0)
  end

  def self.copy(arg0, arg1, arg2, arg3, *rest)
  end

  def self.remove(arg0, arg1, arg2, *rest)
  end

  def self.identical?(arg0, arg1)
  end

  def self.chown(arg0, arg1, arg2, arg3, arg4, *rest)
  end

  def self.collect_method(arg0)
  end

end
