=begin
---------------------------------------------------------- Class: Module
     Also, modules included into Object need to be scanned and have
     their instance methods removed from blank slate. In theory, modules
     included into Kernel would have to be removed as well, but a
     "feature" of Ruby prevents late includes into modules from being
     exposed in the first place.

------------------------------------------------------------------------
     Rake extensions to Module.

------------------------------------------------------------------------


Instance methods:
-----------------
     const_missing, rake_extension

=end
class Module < Object

  def self.constants
  end

  def self.nesting
  end

  def freeze
  end

  # --------------------------------------------------- Module#const_missing
  #      const_missing(const_name)
  # ------------------------------------------------------------------------
  #      Check for deprecated uses of top level (i.e. in Object) uses of
  #      Rake class names. If someone tries to reference the constant name,
  #      display a warning and return the proper object. Using the
  #      --classic-namespace command line option will define these constants
  #      in Object and avoid this handler.
  # 
  def const_missing(arg0)
  end

  def autoload?(arg0)
  end

  def yaml_tag_read_class(arg0)
  end

  def <=>(arg0)
  end

  def ancestors
  end

  def const_get(arg0)
  end

  def const_defined?(arg0)
  end

  def public_class_method(arg0, arg1, *rest)
  end

  def ==(arg0)
  end

  def to_s
  end

  def include?(arg0)
  end

  def protected_instance_methods(arg0, arg1, *rest)
  end

  def class_variable_defined?(arg0)
  end

  def private_method_defined?(arg0)
  end

  def ===(arg0)
  end

  def class_eval(arg0, arg1, *rest)
  end

  def name
  end

  def constants
  end

  def yaml_tag_class_name
  end

  def <(arg0)
  end

  def >=(arg0)
  end

  def public_instance_methods(arg0, arg1, *rest)
  end

  def public_method_defined?(arg0)
  end

  def <=(arg0)
  end

  def module_eval(arg0, arg1, *rest)
  end

  def instance_method(arg0)
  end

  def >(arg0)
  end

  def instance_methods(arg0, arg1, *rest)
  end

  def class_variables
  end

  def method_defined?(arg0)
  end

  def autoload(arg0, arg1)
  end

  def const_set(arg0, arg1)
  end

  def private_class_method(arg0, arg1, *rest)
  end

  def included_modules
  end

  def private_instance_methods(arg0, arg1, *rest)
  end

  def protected_method_defined?(arg0)
  end

  def yaml_as(arg0, arg1, arg2, *rest)
  end

end
